| Home | Libraries | People | FAQ | More

## Function template binary_search

boost::compute::binary_search

## Synopsis

    // In header: <boost/compute/algorithm/binary_search.hpp>

    template<typename InputIterator, typename T>
      bool binary_search(InputIterator first, InputIterator last, const T & value,
                         command_queue & queue = system::default_queue());

## Description

Returns `true` if `value` is in the sorted range [`first`, `last`).